Bug 1808891 - awscli-1.16.263-2.fc31.noarch requires python3.7dist(pyyaml) < 5.2, but none of the providers can be installed
Summary: awscli-1.16.263-2.fc31.noarch requires python3.7dist(pyyaml) < 5.2, but none ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: awscli
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Duncan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-01 21:53 UTC by Juan Orti
Modified: 2020-03-09 22:30 UTC (History)
7 users (show)

Fixed In Version: awscli-1.17.17-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 22:30:53 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Juan Orti 2020-03-01 21:53:29 UTC
Description of problem:
Cannot update python3-pyyaml because awscli depends on an older version:

# dnf update -y
Last metadata expiration check: 0:30:19 ago on Sun Mar  1 22:17:39 2020.
Dependencies resolved.

 Problem: package awscli-1.16.263-2.fc31.noarch requires python3.7dist(pyyaml) < 5.2, but none of the providers can be installed
  - cannot install both python3-pyyaml-5.3-2.fc31.x86_64 and python3-pyyaml-5.1.2-1.fc31.x86_64
  - cannot install both python3-pyyaml-5.1.2-1.fc31.x86_64 and python3-pyyaml-5.3-2.fc31.x86_64
  - cannot install the best update candidate for package python3-pyyaml-5.1.2-1.fc31.x86_64
  - cannot install the best update candidate for package awscli-1.16.263-2.fc31.noarch


Version-Release number of selected component (if applicable):
awscli-1.16.263-2.fc31.noarch

How reproducible:
Always

Steps to Reproduce:
1. Try to upgrade a Fedora 31 system with awscli and python3-pyyaml installed

Actual results:
Problem: package awscli-1.16.263-2.fc31.noarch requires python3.7dist(pyyaml) < 5.2, but none of the providers can be installed

Expected results:
No dependency error

Additional info:

Comment 1 Fedora Update System 2020-03-03 20:14:07 UTC
FEDORA-2020-c00d3ffff7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c00d3ffff7

Comment 2 Fedora Update System 2020-03-04 21:48:49 UTC
awscli-1.17.17-1.fc31, python-boto3-1.11.17-1.fc31, python-botocore-1.14.17-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c00d3ffff7

Comment 3 David Duncan 2020-03-05 17:38:12 UTC
limb is handling the updates.

Comment 4 Gwyn Ciesla 2020-03-05 17:58:25 UTC
And she's already fixed it. ;)

Comment 5 Fedora Update System 2020-03-06 03:39:00 UTC
awscli-1.17.17-1.fc31, python-boto3-1.11.17-1.fc31, python-botocore-1.14.17-2.fc31, python-s3transfer-0.3.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c00d3ffff7

Comment 6 Fedora Update System 2020-03-09 22:30:53 UTC
awscli-1.17.17-1.fc31, python-boto3-1.11.17-1.fc31, python-botocore-1.14.17-2.fc31, python-s3transfer-0.3.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.